Bug 1206714 - CVE-2015-2774 erlang: Erlang/OTP is vulnerable to Poodle in its TLS-1.0 implementation [epel-all]
Summary: CVE-2015-2774 erlang: Erlang/OTP is vulnerable to Poodle in its TLS-1.0 imple...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: erlang
Version: el6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: John Eckersberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro, fst_ping=2
Depends On:
Blocks: CVE-2015-2774
TreeView+ depends on / blocked
 
Reported: 2015-03-27 20:32 UTC by Fabio Olive Leite
Modified: 2015-09-02 05:55 UTC (History)
7 users (show)

Fixed In Version: R16B-03.11.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-02 05:55:10 UTC
Type: ---


Attachments (Terms of Use)

Description Fabio Olive Leite 2015-03-27 20:32:12 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Fabio Olive Leite 2015-03-27 20:32:19 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1206712,1206714

# Description of your update
notes=Security fix for CVE-2015-2774

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1206712,1206714

Comment 2 Richard W.M. Jones 2015-03-27 20:55:38 UTC
Adding Rabbit maintainer just FYI.

Comment 3 David A. Cafaro 2015-04-24 15:54:16 UTC
Just checking in on the status of this patch?

Comment 4 David A. Cafaro 2015-04-29 13:16:36 UTC
Looking upstream it appears a patch for this was added in Release 17.5 and later.

http://www.erlang.org/download/otp_src_17.5.readme

"OTP-12420    Application(s): ssl

               *** POTENTIAL INCOMPATIBILITY ***

               Add padding check for TLS-1.0 to remove Poodle
               vulnerability from TLS 1.0, also add the option
               padding_check. This option only affects TLS-1.0
               connections and if set to false it disables the block
               cipher padding check to be able to interoperate with
               legacy software.


  OTP-12458    Application(s): ssl

               Add support for TLS_FALLBACK_SCSV used to prevent
               undesired TLS version downgrades. If used by a client
               that is vulnerable to the POODLE attack, and the server
               also supports TLS_FALLBACK_SCSV, the attack can be
               prevented."

I have not found a back port to the current Release 14 Beta 4 in the repos.

Do we have any status on a fix for this?

Comment 5 David A. Cafaro 2015-05-06 17:05:59 UTC
Need a status update on this, are there plans to patch?

Comment 6 Richard W.M. Jones 2015-05-06 17:15:27 UTC
You probably want to ask the Rabbit maintainer.

Comment 7 David A. Cafaro 2015-05-28 01:24:00 UTC
Ping?  Need to get this patched.

Comment 8 Peter Lemenkov 2015-05-28 18:59:39 UTC
Hello!
I'll fix it soon (before or during this weekend).

Comment 9 David A. Cafaro 2015-06-04 14:10:11 UTC
How goes the patching work?

Comment 10 David A. Cafaro 2015-06-11 01:43:25 UTC
Been another week, are you working on it?

Comment 11 David A. Cafaro 2015-08-05 13:57:53 UTC
Any word on the update for this?

Comment 12 Peter Lemenkov 2015-08-05 18:15:05 UTC
(In reply to David A. Cafaro from comment #11)
> Any word on the update for this?

Sorry still don't have much time for that. If someone can help with backporting that woiuld be very appreciated.

Comment 13 John Eckersberg 2015-08-05 18:24:29 UTC
(In reply to Peter Lemenkov from comment #12)
> (In reply to David A. Cafaro from comment #11)
> > Any word on the update for this?
> 
> Sorry still don't have much time for that. If someone can help with
> backporting that woiuld be very appreciated.

I'll take a stab at it.  I just requested commit access in pkgdb for erlang, so I'll need you or someone else to approve it.

Comment 14 John Eckersberg 2015-08-06 19:29:44 UTC
Rich, can you approve my commit ACLs for EPEL6/7, looks like Peter can only approve for the Fedora branches:

https://admin.fedoraproject.org/pkgdb/package/erlang

Comment 15 Richard W.M. Jones 2015-08-06 20:13:29 UTC
That should be done now.

Comment 16 John Eckersberg 2015-08-07 15:53:06 UTC
I backported the patch from OTP 17 -> R16B03-1, which is what is in EPEL7, and it's currently building.  I'll submit the update when it's done.

EPEL6 is on R14B, which I suspect is probably going to be a much more involved, if not nearly impossible backport.  I'm going to go look at it now, but there is a high probability that I am going to leave EPEL6 as-is unless somebody really really really wants it.

Comment 17 Fedora Update System 2015-08-07 17:23:57 UTC
erlang-R16B-03.11.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/erlang-R16B-03.11.el7

Comment 18 Fedora Update System 2015-08-08 20:04:00 UTC
Package erlang-R16B-03.11.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing erlang-R16B-03.11.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7562/erlang-R16B-03.11.el7
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2015-09-02 05:55:07 UTC
erlang-R16B-03.11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.